<?php

	const IMAGE_X = 1024;
	const IMAGE_Y = 1024;
	const SIZE_X = 16;
	const SIZE_Y = 16;
	
	header('Content-type:image/png');
	$img = ImageCreateTrueColor(IMAGE_X, IMAGE_Y);
	
	$blueh = ImageColorAllocateAlpha($img, 11, 68, 138, 120);
	$bordh = ImageColorAllocateAlpha($img, 11, 68, 138, 110);
	
	
	for ($i = 0; $i < 25000; ++$i) {
		$x = floor(mt_rand(0, IMAGE_X) / SIZE_X) * SIZE_X;
		$y = floor(mt_rand(0, IMAGE_X) / SIZE_Y) * SIZE_Y;
		
		triangle($img, $x, $y, $x + mt_rand(4, SIZE_X), $y + mt_rand(4, SIZE_Y), $blueh);
		
	}
	
	function triangle($img, $x1, $y1, $x2, $y2, $color) {
		if ($x2 - $x1 > $y2 - $y1) {
			for ($i = $y1; $i < $y2; ++$i) {
				ImageLine($img, $x1, $y1, $x2, $i, $color);
			}
		} else {
			for ($i = $x1; $i < $x2; ++$i) {
				ImageLine($img, $x1, $y1, $i, $y2, $color);
			}		
		}
	}
	
	ImagePng($img);
	ImageDestroy($img);